#ifndef __XORG_H
#define __XORG_H

#include "itext.h"
#include "xtext.h"
#include "xjp.h"

typedef struct ETEXT{
	unsigned char *s;
	int l;
	struct ETEXT *eh;
	struct ETEXT *n;
}etext_t;
struct DTEXT{

	Display *disp;
	Window pwin,win;
	Cursor cr;
	GC bgc,fgc;
	/*
	long bg_pix,fg_pix;
	*/

	char *fname;
	char *wname;

#if HAVE_LIBXFT
	XftFont *fn;
	XftColor col;
#endif

	int width,height;
	int pwidth,pheight;
	int ls;
	int an;

	etext_t *et;
	int et_max;

	pthread_mutex_t *mutex;

};

typedef struct MYORG{

	int s_no;
	int e_no;

	char f[512];

	IBUF_T *bh;
	my_window_t *m;
	pthread_mutex_t *mutex;

}myorg_t;
typedef struct MYCHU{

	chum_t *ch;

	char f[512];

	my_window_t *m;
}mychu_t;
typedef struct MYPIC{

	char *path;
	int no;

	char f[512];

	my_window_t *m;
	pthread_mutex_t *mutex;

}mypic_t;

Pixmap func19_4(struct DTEXT *);
void func19_e3(etext_t **,unsigned char *,int);
void * xtextOrgThreadFunc(void *);
void * xtextChuThreadFunc(void *);
void * xtextPicThreadFunc(void *);

#endif
